Bug 1121840 - [Docs][PRD3.5][Change][Install] Update how to install and configure the WebSocketProxy using an automated method
Summary: [Docs][PRD3.5][Change][Install] Update how to install and configure the WebSo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ovirt-3.6.4
: 3.6.0
Assignee: Byron Gravenorst
QA Contact: Tahlia Richardson
URL: http://www.ovirt.org/Features/WebSock...
Whiteboard:
Depends On: 985945
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 04:03 UTC by Julie
Modified: 2016-04-20 01:25 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-20 01:25:41 UTC
oVirt Team: Docs


Attachments (Terms of Use)

Description Julie 2014-07-22 04:03:27 UTC
With this update, installing and configuring the WebSocketProxy on a second machine is automated and the current instructions in the Install Guide and Admin Guide needs to be updated. 

PRD bug:https://bugzilla.redhat.com/show_bug.cgi?id=985945

Additional Info: http://www.ovirt.org/Features/WebSocketProxy_on_a_separate_host

Comment 7 Andrew Dahms 2015-09-03 00:37:49 UTC
Changing status back to 'New' until re-assignment.

Comment 9 Sandro Bonazzola 2015-10-26 12:46:16 UTC
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high

Comment 11 Lucy Bopf 2016-02-08 00:09:39 UTC
Assigning to Byron for review.

Byron, this feature allows users to install and configure WebSocket Proxy on a separate machine from the Manager, using engine-setup. We need to provide a procedure and a description of why a user might want to do this.

Comment 13 Simone Tiraboschi 2016-02-29 14:56:37 UTC
It's enough to:
1. run engine-cleanup to remove just the websocket proxy on the engine machine
2. proceed as documented on the the additional machine.

In order to remove just the websocket proxy from the engine machine with engine-cleanup, in the PRODUCT OPTIONS section the user has to respond yes only at:
'Do you want to remove the WebSocket proxy? (Yes, No) [Yes]:' ensuring to respond no to:
- Do you want to remove all components? (Yes, No) [Yes]: no
- Do you want to remove the engine? (Yes, No) [Yes]: no

 [root@enginevm ~]# engine-cleanup
 [ INFO  ] Stage: Initializing
 [ INFO  ] Stage: Environment setup
           Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging-jboss.conf', '/etc/ovirt-engine-setup.conf.d/10-packaging.conf', '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf']
           Log file: /var/log/ovirt-engine/setup/ovirt-engine-remove-20160229154739-wlkc4b.log
           Version: otopi-1.3.2 (otopi-1.3.2-1.el6)
 [ INFO  ] Stage: Environment packages setup
 [ INFO  ] Stage: Programs detection
 [ INFO  ] Stage: Environment customization
           Do you want to remove all components? (Yes, No) [Yes]: no
 
           --== PRODUCT OPTIONS ==--
 
           Do you want to remove the engine? (Yes, No) [Yes]: no
           Do you want to remove the WebSocket proxy? (Yes, No) [Yes]:
 [ INFO  ] Stage: Setup validation
           During execution engine service will be stopped (OK, Cancel) [OK]:
           ovirt-engine-websocket-proxy is/are about to be removed, data will be lost (OK, Cancel) [Cancel]: ok
 [ INFO  ] Stage: Transaction setup
 [ INFO  ] Stopping engine service
 [ INFO  ] Stopping ovirt-fence-kdump-listener service
 [ INFO  ] Stopping websocket-proxy service
 [ INFO  ] Stage: Misc configuration
 [ INFO  ] Stage: Package installation
 [ INFO  ] Stage: Misc configuration
 [ INFO  ] Removing files
 [ INFO  ] Reverting changes to files
 [ INFO  ] Stage: Transaction commit
 [ INFO  ] Stage: Closing up
 
           --== SUMMARY ==--
 
           Core files files not removed
           YUM version locking configuration files not removed
           PKI keys files not removed
           PKI configuration files not removed
           Apache SSL configuration files not removed
           Engine setup successfully cleaned up
 
           --== END OF SUMMARY ==--
 
 [ INFO  ] Stage: Clean up
           Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-remove-20160229154739-wlkc4b.log
 [ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20160229154817-cleanup.conf'
 [ INFO  ] Stage: Pre-termination
 [ INFO  ] Stage: Termination
 [ INFO  ] Execution of cleanup completed successfully


Note You need to log in before you can comment on or make changes to this bug.